package engine;

import java.util.regex.Pattern;
import engine.Task;

public interface Plugin
{
	/* Zwraca nazwę pluginu */
	public String getName();

	/* Czy plugin jest włączony */
	public boolean enabled();

	/* Przełącza między plugin włączony/wyłączony */
	public void setEnabled(boolean e);

	/* Sprawdza czy link jest obsługiwany przez dany plugin */
	public boolean checkLink(String link);

	/* Inicjuje dane specyficzne dla pluginu */
	public boolean initTask(Task task);

	/* Czysci dane specyficzne dla pluginu */
	public void cleanTask(Task task);

	/* Zwraca ścieżkę do ikonki */
	public String getIcon();

	/* Główna funkcja, tutaj implementujemy ściąganie */
	public void run(Task task);

	/* Czy można uruchomić więcej zadań w danym pluginie */
	public boolean allowMoreTasks();
};
