package engine;

import java.util.*;
import java.io.*;

public class TaskFile
{
	public static void saveTo(Vector<Task> tasks)
	{
		try
		{
			FileWriter out = new FileWriter("data/links.jgr");
			for (Task task:tasks)
			{
				out.write(task + "\n");
			}
			out.close();
		}
		catch (Exception e)
		{
			System.out.println("Failed to write links file: " + e);
		}
	}

	public static void loadFrom()
	{
		try
		{
			BufferedReader in = new BufferedReader(new FileReader("data/links.jgr"));
			String line;
			while((line = in.readLine()) != null)
			{
				String items[] = line.split("\\|");	
				/* link | status | priorytet | docelowy */
				TaskState state = TaskState.tsStopped;
				switch (Integer.parseInt(items[1]))
				{
					case 0: state = TaskState.tsQueue; break;
					case 1: state = TaskState.tsQueue; break;
					case 3: state = TaskState.tsDone; break; 
					case 5: state = TaskState.tsError; break;
				}
				
				Task.addTask(items[0], state, TaskPriority.tpNormal, items[3]);
			}
		}
		catch (Exception e)
		{
			System.out.println("Failed to read links file: " + e);
		}
	}
};
 
